defmodule MessengerBot.Model.AccountLinking do
  @moduledoc """
  Structure and type for account linking
  """

  @derive [Poison.Encoder]
  defstruct [:status, :authorization_code]

  @type t :: %__MODULE__{
    status: String.t,
    authorization_code: String.t
  }
end
