defmodule MessengerBot.Model.Coordinate do
  @moduledoc """
  Structure and type for coordinate
  """

  @derive [Poison.Encoder]
  defstruct [:lat, :long]

  @type t :: %__MODULE__{
    lat: float,
    long: float
  }
end
