defmodule MessengerBot.Model.Delivery do
  @moduledoc """
  Structure and type for delivery
  """

  @derive [Poison.Encoder]
  defstruct [:mids, :watermark, :seq]

  @type t :: %__MODULE__{
    mids: list(String.t),
    watermark: integer,
    seq: integer
  }
end
