defmodule MessengerBot.Model.Entry do
  @moduledoc """
  Structure and type for entry
  """

  alias MessengerBot.Model.Messaging

  @derive [Poison.Encoder]
  defstruct [:id, :time, :messaging]

  @type t :: %__MODULE__{
    id: String.t,
    time: integer,
    messaging: list(Messaging.t)
  }
end
