defmodule MessengerBot.Model.Multimedia do
  @moduledoc """
  Structure and type for multimedia
  """

  @derive [Poison.Encoder]
  defstruct [:url, :is_reusable, :attachment_id]

  @type t :: %__MODULE__{
    url: String.t,
    is_reusable: boolean,
    attachment_id: String.t
  }
end
