defmodule MessengerBot.Model.QuickReply do
  @moduledoc """
  Structure and type for quick reply
  """

  @derive [Poison.Encoder]
  defstruct [:payload]

  @type t :: %__MODULE__{
    payload: String.t
  }
end
