defmodule MessengerBot.Webhook.Processor.Log do
  @moduledoc """
  Log processor
  """

  require Logger

  @doc """
  Logs the inputs
  """
  def run(item) do
    Logger.log(:info, fn -> "#{inspect(item)}" end)
    :ok
  end
end
