defmodule MessengerBot.Model.Location do
  @moduledoc """
  Structure and type for location
  """

  alias MessengerBot.Model.Coordinate

  @derive [Poison.Encoder]
  defstruct [:coordinates]

  @type t :: %__MODULE__{
    coordinates: Coordinate.t
  }
end
