defmodule MessengerBot.Model.Postback do
  @moduledoc """
  Structure and type for postback
  """

  alias MessengerBot.Model.Referral

  @derive [Poison.Encoder]
  defstruct [:payload, :referral]

  @type t :: %__MODULE__{
    payload: String.t,
    referral: Referral.t
  }
end
